local _addon = WYK_Toolbar

_addon.Feature.Toolbar.GetXP = function()
	local setting = _addon:GetOrDefault( "Needed %", _addon.Settings["xpvp_enabled"])
	local useTitle = _addon:GetOrDefault( false, _addon.Settings["xpvp_title"] )
	local useCommas = _addon:GetOrDefault( true, _addon.Settings["xpvp_commas"] )
	local c = {1,1,1,1}
	local xp, xplvl, title =  GetUnitXP('player'), GetUnitXPMax('player'), _addon._DefaultLabelColor .. "XP:|r "
	if tonumber(xplvl) == 0 then
		xp, xplvl, title = GetUnitVeteranPoints("player"), GetUnitVeteranPointsMax("player"), _addon._DefaultLabelColor .. "VP:|r "
	end
	if tonumber(xplvl) == 0 then return _addon._DefaultLabelColor .. "Max Level|r", c; end
	if not useTitle then title = "" end
	if setting == "Earned / Total" then 
		if useCommas then return title .._addon:comma_value(xp).."|cA0A0CF / |r".."|cA0A0CF".._addon:comma_value(xplvl).."|r", c; 
		else return title ..xp.."|cA0A0CF / |r".."|cA0A0CF"..xplvl.."|r", c; end
	end
	if setting == "Earned" then
		if useCommas then return title .._addon:comma_value(xp), c; 
		else return title ..xp, c; end
	end
	if setting == "Earned % / Total" then
		if useCommas then return title .._addon:Round((xp/xplvl)*100,0).."%|cA0A0CF / |r".."|cA0A0CF".._addon:comma_value(xplvl).."|r", c; 
		else return title .._addon:Round((xp/xplvl)*100,0).."%|cA0A0CF / |r".."|cA0A0CF"..xplvl.."|r", c; end
	end
	if setting == "Earned %" 			then return title .._addon:Round((xp/xplvl)*100,0).."%", c; end
	if setting == "Needed" then
		if useCommas then return title .._addon:comma_value(xplvl - xp), c; 
		else return title ..xplvl - xp, c; end
	end
	if setting == "Needed %" 			then return title .._addon:Round(((xplvl - xp)/xplvl)*100,0).."%", c; end
	return "", c
end